namespace Wizard;

public class ConventionInfoTask : BaseTask
{
	public ConventionList OfflineConventionList { get; private set; }

	public ConventionInfoTask()
	{
		base.type = ApiType.Type.ConventionInfo;
		OfflineConventionList = new ConventionList();
	}

	protected override int Parse()
	{
		int num = base.Parse();
		if (num != 1)
		{
			return num;
		}
		OfflineConventionList.Parse(base.ResponseData["data"]["tournament_list"]);
		return num;
	}
}
